Skip to main content

Type Alias: GatewayInferenceComputerToolCall

type GatewayInferenceComputerToolCall = {
[key: string]: unknown;
type: "computer_call";
id: string;
call_id: string;
action: GatewayInferenceComputerAction;
pending_safety_checks: GatewayInferenceComputerToolCallSafetyCheck[];
status: "in_progress" | "completed" | "incomplete";
};

Defined in: src/models/ai-gateway-inference.ts:4139

Portkey ComputerToolCall; additive response fields are preserved.

Example​

`GatewayInferenceComputerToolCallSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "computer_call";

Defined in: src/models/ai-gateway-inference.ts:4140


id​

id: string;

Defined in: src/models/ai-gateway-inference.ts:4141


call_id​

call_id: string;

Defined in: src/models/ai-gateway-inference.ts:4142


action​

action: GatewayInferenceComputerAction;

Defined in: src/models/ai-gateway-inference.ts:4143


pending_safety_checks​

pending_safety_checks: GatewayInferenceComputerToolCallSafetyCheck[];

Defined in: src/models/ai-gateway-inference.ts:4144


status​

status: "in_progress" | "completed" | "incomplete";

Defined in: src/models/ai-gateway-inference.ts:4145